<template>
    <div class="flex gap-5 mb-5">
        <img
            :src="
                course.image
                    ? course.image
                    : require('@/assets/images/no-image.webp')
            "
            class="w-40 h-full"
            :alt="course.name"
        />
        <div>
            <h1 class="text-2xl text-main-color font-semibold mb-1">
                {{ course.name }}
            </h1>
            <p class="mb-1"><b>Môn học:</b> {{ courseCategoryComputed }}</p>
            <p class="mb-1">
                <b>Tổng số bài học:</b> {{ course.total_lesson }}
            </p>
            <p class="mb-1">
                <b>Tác giả: </b>
                <span
                    class="bg-color-danger text-white text-xs font-semibold rounded-2xl px-3 py-1"
                >
                    {{ course.created_by.name }}
                </span>
            </p>
        </div>
    </div>
    <div
        class="inline text-xl text-color-warning font-semibold border-b border-color-warning"
    >
        Mô tả khóa học
    </div>
    <div v-html="course.description" class="mt-2"></div>
</template>

<script>
import { computed } from "vue";
import { SELECT_OPTION_COURSE_CATEGORY } from "@/constants";

export default {
    props: {
        course: {
            type: Object,
            required: true
        }
    },
    setup(props) {
        const courseCategoryComputed = computed(() => {
            let categoryText = "";
            SELECT_OPTION_COURSE_CATEGORY.forEach(courseCategory => {
                if (props.course.course_category_id === courseCategory.id) {
                    categoryText = courseCategory.text;
                }
            });
            return categoryText;
        });

        return { courseCategoryComputed };
    }
};
</script>
